SETEXPRFIELDS(1)

NAME
setExprFields - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
setExprFields [OPTIONS]

DESCRIPTION
No description available

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-decomposeParDict file
    Use specified file for decomposePar dictionary

-dict file
    Alternative dictionary for setExprFieldsDict

-dry-run
    Evaluate but do not write

-latestTime
    Select the latest time

-noZero
    Exclude the '0/' dir from the times list

-parallel
    Run in parallel [Parallel option]

-region name
    Specify alternative mesh region

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-condition logic
    The logical condition when to apply the expression (command-line operation)

-create
    Create a new field (command-line operation)

-debug-parser
    Additional debugging information

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-dimension dims
    The dimensions to apply for created fields (command-line operation)

-dummy-phi
    (command-line operation)

-expression expr
    The expression to evaluate (command-line operation)

-field name
    The field to overwrite command-line operation)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-keepPatches
    Leave patches unaltered (command-line operation)

-lib name
    Additional library or library list to load (can be used multiple times)

-no-variable-cache
    Disable caching of expression variables

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-value-patches (patches)
    A list of patches that receive a fixed value (command-line operation)

-verbose
    Additional verbosity

-withFunctionObjects
    Execute functionObjects

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.